package com.hxhq.business.service;

import java.util.List;
import com.hxhq.business.domain.Yq;
import com.baomidou.mybatisplus.extension.service.IService;
import com.hxhq.business.form.yq.YqForm;
import com.hxhq.business.form.yq.YqSearchForm;

/**
 * 仪器管理Service接口
 *
 * @author HanLong
 * @date 2025-12-20
 */
public interface IYqService extends IService<Yq>
{
    /**
     * 查询仪器管理列表
     * @param form
     * @return 仪器管理集合
     */
    public List<Yq> queryList(YqSearchForm form);

    /**
     * 查询仪器详情
     * @param id    仪器id
     * @return  仪器详情
     */
    Yq queryInfo(Long id);

    /**
     * 通过编号获取仪器
     * @param bh    编号
     * @return      仪器信息
     */
    Yq queryByBh(String bh);

    /**
     * 新增仪器信息
     * @param yqForm
     */
    void addYq(YqForm yqForm);

    /**
     * 更新仪器
     * @param yqForm
     */
    void updateYq(YqForm yqForm);
}
